Holger's Java API

## com.antelmann.crm
Interface Role<T extends DBEntry>

Type Parameters:
  `T` - the base object that can have this object as a role

All Superinterfaces:
  DBEntry, Serializable

    public interface Role<T extends DBEntry>

extends DBEntry

a role is an instance that can extends its base to 'play' that role for its base in appropriate contexts.

Since:
  19.11.2008, 16:47:27
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Method Summary
`T` `getRoleBase()` returns the (non-null) base instance for this role
`void` `setRoleBase(T base)` allows to reassign the role to a different (non-null) base

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Method Detail

### getRoleBase

    T getRoleBase()

  returns the (non-null) base instance for this role

### setRoleBase

    void setRoleBase(T base)
                     throws IllegalArgumentException,
                            UnsupportedOperationException

  allows to reassign the role to a different (non-null) base

  Throws:
    `IllegalArgumentException`
    `UnsupportedOperationException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads